package com.jtricks.jira.webwork;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import com.atlassian.jira.security.JiraAuthenticationContext;
import com.atlassian.jira.web.action.JiraWebActionSupport;

public class PluginScannerDemo extends JiraWebActionSupport {
	private static final Logger log = LoggerFactory.getLogger(PluginScannerDemo.class);

	private final JiraAuthenticationContext authContext;

	private String currentUser;

	public PluginScannerDemo(JiraAuthenticationContext authContext) {
		super();
		this.authContext = authContext;
	}

	@Override
	protected String doExecute() throws Exception {
		if (this.authContext.getLoggedInUser() != null) {
			this.currentUser = this.authContext.getLoggedInUser().getDisplayName();
		} else {
			this.currentUser = "Anonymous";
		}
		return super.doExecute();
	}

	public String getCurrentUser() {
		return currentUser;
	}
}
